UbixOS V2 2.0

Data Structures | Functions
dirCache.h File Reference
`#include <sys/types.h>`
Include dependency graph for dirCache.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | cacheNode

## Functions
struct cacheNode * | ubixfs_cacheAdd (struct cacheNode *, struct cacheNode *)
void | ubixfs_cacheDelete (struct cacheNode **)
struct cacheNode * | ubixfs_cacheFind (struct cacheNode *, char *)
struct cacheNode * | ubixfs_cacheNew (const char *)

## Function Documentation

## ◆ ubixfs_cacheAdd()

struct cacheNode* ubixfs_cacheAdd | ( | struct cacheNode * | ,
|  | struct cacheNode * |
| ) |  |

Definition at line 252 of file dirCache.c.

References assert, and spinLock().

Here is the call graph for this function:

## ◆ ubixfs_cacheDelete()

void ubixfs_cacheDelete | ( | struct cacheNode ** |  | ) |

Definition at line 210 of file dirCache.c.

References cacheNode::fileListHead, cacheNode::info, kfree(), cacheNode::name, cacheNode::next, NULL, and ubixfs_cacheDelete().

Referenced by ubixfs_cacheDelete().

Here is the call graph for this function:

## ◆ ubixfs_cacheFind()

struct cacheNode* ubixfs_cacheFind | ( | struct cacheNode * | ,
|  | char * |
| ) |  |

Definition at line 55 of file dirCache.c.

## ◆ ubixfs_cacheNew()

struct cacheNode* ubixfs_cacheNew | ( | const char * |  | ) |

Definition at line 193 of file dirCache.c.

References assert, cacheNode::attributes, cacheNode::dirty, cacheNode::fileListHead, cacheNode::fileListTail, cacheNode::info, kmalloc(), cacheNode::name, name, cacheNode::next, NULL, cacheNode::parent, cacheNode::permissions, cacheNode::present, cacheNode::prev, cacheNode::size, cacheNode::startCluster, strcpy(), and strlen().

Referenced by ubixfs_initialize().

Here is the call graph for this function: